<div class="d-flex justify-content-center">
  <div class="col-8">
    <div *ngIf="matriz">
      <h2 data-cy="matrizDetailsHeading"><span jhiTranslate="matrixApp.matriz.detail.title">Matriz</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="matrixApp.matriz.id">Id</span></dt>
        <dd>
          <span>{{ matriz.id }}</span>
        </dd>
        <dt><span jhiTranslate="matrixApp.matriz.codigo">Codigo</span></dt>
        <dd>
          <span>{{ matriz.codigo }}</span>
        </dd>
        <dt><span jhiTranslate="matrixApp.matriz.matrizes">Matrizes</span></dt>
        <dd>
          <div *ngIf="matriz.matrizes">
            <a [routerLink]="['/curso', matriz.matrizes.id, 'view']">{{ matriz.matrizes.id }}</a>
          </div>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Voltar</span>
      </button>

      <button type="button" [routerLink]="['/matriz', matriz.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Editar</span>
      </button>
    </div>
  </div>
</div>
